# GooglePerspective

Ruby gem for google perspective API https://www.perspectiveapi.com/#/home

DOC: https://github.com/conversationai/perspectiveapi/blob/master/api_reference.md

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'google_perspective'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install google_perspective

## Usage

```ruby
require 'google_perspective'

GooglePerspective.configure do |c|
  c.access_key = 'YourKeyHere'
end

analyze = GooglePerspective::CommentAnalyzer.new('Do you think this is a goog message?')

analyze.result_scores 
=> [0.29358026, 0.48361784]

analyze.valid?
=> true


analyze = GooglePerspective::CommentAnalyzer.new('Do you think this is a goog message?', 0.1)

analyze.result_scores 
=> [0.29358026, 0.48361784]

analyze.valid?
=> false

```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/SquareOffs/google_perspective. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the GooglePerspective project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/google_perspective/blob/master/CODE_OF_CONDUCT.md).
